Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class RefDocumentMetadata

    java.lang.Object
      |
      +--com.bea.p13n.content.document.ref.DefaultDocumentMetadata
            |
            +--com.bea.p13n.content.document.ref.RefDocumentMetadata

public class RefDocumentMetadata
extends DefaultDocumentMetadata

A document metadata def for the reference implementation.

This just forces the name to the be the id.

Fields inherited from class com.bea.p13n.content.document.ref.DefaultDocumentMetadata
`attributes, author, comments, creationDate, description, id, lastModifiedBy, lastModifiedDate, lockedBy, mimeType, name, size, version`

Constructor Summary
`RefDocumentMetadata()` Constructor.

Method Summary
`java.lang.String` | `getName()` Override to return the id.
`void` | `setName(java.lang.String name)` Override to set the id.

Methods inherited from class com.bea.p13n.content.document.ref.DefaultDocumentMetadata
`getAttribute, getAttributeNames, getAttributes, getAuthor, getComments, getCreationDate, getDescription, getID, getLastModifiedBy, getLastModifiedDate, getLockedBy, getMimeType, getSize, getVersion, setAuthor, setComments, setCreationDate, setDescription, setID, setLastModifiedBy, setLastModifiedDate, setLockedBy, setMimeType, setSize, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RefDocumentMetadata

    public RefDocumentMetadata()

  Constructor.

Method Detail

### getName

    public java.lang.String getName()

  Override to return the id.

  Overrides:
    getName in class DefaultDocumentMetadata
  See Also:
    `DefaultDocumentMetadata.getID()`

### setName

    public void setName(java.lang.String name)

  Override to set the id.

  Overrides:
    setName in class DefaultDocumentMetadata
  See Also:
    `DefaultDocumentMetadata.setID(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved